package common.service;

import common.model.AppInfo;
import net.sf.json.JSONArray;
import org.springframework.data.domain.Page;

import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutionException;

/**
 * Created by zxy on 2017/12/27.
 */
public interface AppService
{
    Map findAppList(AppInfo app, int pageNum, int pageSize, String sort, Integer isASC, String searchString, String startDate, String endDate)
            throws ExecutionException, InterruptedException;

    List<String> findAllCategoryByLevel(int level);

    List<String> findCity();

    JSONArray findAppDataList(String startDate, String endDate, List<String> pkgNameList, Integer isASC, Integer startNum, Integer size);
}
